Subject: Re: .gitignore behavior on Mac

From: Johannes Sixt <[email-masked]>
Date: Sat, 18 May 2013 23:01:13 +0200

Am 18.05.2013 20:55, schrieb John Keeping:
> On Sat, May 18, 2013 at 08:43:57PM +0200, Peter Lauri wrote:
>> But I just don't want to see that darn file. It is a config file that
>> I have changed, and I don't want to need to stash it for each "git
>> svn" action I want to perform... Any solution for that?
> 
> Read about --assume-unchanged in git-update-index(1).

Beware!! --assume-unchanged is a promise not to modify a file, but that
is not true in this case, because it *was* modified. It might hide the
file from the git-status output, but then git might do something
unexpected sometimes, because a promise was not kept.

See last paragraph of
http://article.gmane.org/gmane.comp.version-control.git/146353

-- Hannes